Page MenuHomePhabricator

Run reader survey in multiple languages - Spanish
Closed, ResolvedPublic

Description

TODO

  • [Leila] Request the translation of the privacy statement. the rest is ready.
  • [Florian] Confirm sampling rate.
  • [Nathaniel] Double check that the survey ID is prefilled correctly.

Code

'enabled' => true,      
'name' => 'Reader-segmentation-3-es-main',
'type' => 'external',   
'description' => 'Reader-segmentation-1-description', // (blank)
'link' => 'Reader-segmentation-3-link', // 
'question' => 'Reader-segmentation-3-message',
'privacyPolicy' => 'Reader-segmentation-3-privacy',
'coverage' => 0.2, // 1 out of 5
'platforms' => [        
    'desktop' => [ 'stable' ],      
    'mobile' => [ 'stable' ],   
],                      
'instanceTokenParameterName' => 'entry.901222064',

Event Timeline

leila created this task.Jun 18 2017, 6:46 PM
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptJun 18 2017, 6:46 PM
schana renamed this task from [Nor Ready] Run reader survey in multiple languages - Spanish to [Not Ready] Run reader survey in multiple languages - Spanish.Jun 19 2017, 11:19 AM
schana updated the task description. (Show Details)
flemmerich updated the task description. (Show Details)Jun 19 2017, 12:20 PM
flemmerich updated the task description. (Show Details)Jun 19 2017, 1:08 PM
leila renamed this task from [Not Ready] Run reader survey in multiple languages - Spanish to Run reader survey in multiple languages - Spanish.Jun 20 2017, 8:31 AM
leila removed a project: Epic.
leila updated the task description. (Show Details)

I asked Marco to help with notifying the Spanish Wikipedia community.

leila added a subscriber: Racso.Jun 20 2017, 2:46 PM

while we were waiting for Marco, @Racso signed up to be the PoC so no need to take Marco's time. Thanks, Racso.

@Racso can you notify the Spanish community that the survey will go out on June 22 with a sampling rate of 1 out of 5 and for a week? In case it helps, here is the message I shared with enwiki folks.

Racso added a comment.Jun 20 2017, 3:06 PM

@leila Sure! Just in case: how will the sampling rate work in this case? Does it mean that 1 of each 5 readers will see a banner linking to the survey, or that you'll sample until you get answers from 1/5 of a fixed population size, or something else?

leila added a comment.Jun 20 2017, 3:20 PM

@Racso (it's pretty clear we have a researcher on board;). Good question. The sampling rate, roughly speaking, is 1 out of every 5 browser sessions. Basically, you can think of it that every browser receives a unique-token and we sample 1 out of 5 of those. For Spanish Wikipedia, we want to do the full analysis which means we need around 30K responses. We have estimated the response count based on the total daily pageviews to eswiki. We have tested our estimation approach on Japanese, Romanian, German, and Hebrew Wikipedias a few weeks ago and the number of responses is what we expected (except for Japanese which was low but that's most probably because the survey was on for 8 hours and during the time that was in the middle of the night in Japan). I hope this helps.

leila added a comment.Jun 20 2017, 3:26 PM

and Racso posted the notification. @Racso please let us know if there is a conversation in that thread we should become aware of. Otherwise, we're looking forward to Thursday. :)

leila moved this task from Staged to In Progress on the Research board.Jun 20 2017, 3:26 PM

@Racso the survey is now stopped. Feel free to share the following message or a modified version of it with your community. :)

This survey run for a week and it ended at around 2320 UTC on 2017-06-29. We have received more than 44,000 responses from your language and we will start analyzing the results on 2017-07-03. We will update the status when more information becomes available. Thank you for working with us to make this survey happen. :)

leila closed this task as Resolved.Jun 29 2017, 11:29 PM
Racso added a comment.Jul 1 2017, 3:11 PM

@leila It seems that I forgot to notify you that I posted the message: https://es.wikipedia.org/?diff=100185191 :)

leila added a comment.Jul 1 2017, 3:53 PM

ah! great, @Racso. Thanks.